# geos::index::quadtree::Root Class Reference

QuadRoot is the root of a single Quadtree. It is centred at the origin, and does not have a defined extent. More...

`#include <geos/indexQuadtree.h>`

Inheritance diagram for geos::index::quadtree::Root:

List of all members.

## Public Member Functions

void | insert (const geom::Envelope *itemEnv, void *item)

## Protected Member Functions

bool | isSearchMatch (const geom::Envelope *)

## Detailed Description

QuadRoot is the root of a single Quadtree. It is centred at the origin, and does not have a defined extent.

## Member Function Documentation

void geos::index::quadtree::Root::insert | ( | const geom::Envelope * | itemEnv,
|  | void * | item |
| ) |  |  |

Insert an item into the quadtree this is the root of.

The documentation for this class was generated from the following file:

- quadtree/Root.h